Subject: "Deprecate"

From: t.p. <[email-masked]>
Date: Thu, 29 Aug 2013 12:56:24 +0100

I recently saw 'deprecate' used in an IANA Considerations and turned to
"IANA Considerations" [RFC5226] to see how it was defined only to find
no mention of it there.  I am used to the term from SMI, as quoted
below, but that seems not quite right, in that a deprecated IANA entry
never disappears, as in
http://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-number
s-5

Are there other, perhaps better definitions of the term 'deprecated' in
use outside SMI (and yes, I know about praying nuns!)?

Tom Petch

----- Original Message -----
From: "Fred Baker (fred)" <[email-masked]>
To: "IPv6 Maintanence" <[email-masked]>
Sent: Monday, July 29, 2013 3:32 PM
Subject: "Deprecate"

> At the mike a moment ago, I referred to an existing formal definition
of "deprecate". For the record, the reference is to RFC 1158, which
reads:
>
> 3.1.  Deprecated Objects
>
>    In order to better prepare implementors for future changes in the
>    MIB, a new term "deprecated" may be used when describing an object.
>    A deprecated object in the MIB is one which must be supported, but
>    one which will most likely be removed from the next version of the
>    MIB (e.g., MIB-III).
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 29 Aug 2013 13:22:13 +0100

Tom,

Not a complete answer but look in RFC 4020 (especially 3.3) and
draft-cotton-rfc4020bis (currently in IETF last call).

Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of t.p.
> Sent: 29 August 2013 12:56
> To: ietf
> Subject: "Deprecate"
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 29 Aug 2013 12:22:55 +0000

It's definitely an ISO term, I see it used for features of C++.

There's then discussion even there of what it means. It is, I think, meant to be used for "we don't think you should use this, there's something better, and this is a warning that it may get removed in a future version". In the case of computer languages there is an additional possibility of "your compiler may emit a warning if you persist in using it".

But the only major feature (export) removed in the last C++ version went straight from "part of the standard, but only one compiler ever implemented it, and thus found out it was a bad realisation of an idea" to removed, with no intermediate deprecated stage. And other features just hang around deprecated. So it really doesn't guarantee anything in that instance, neither than if deprecated will go, not if not deprecated won't go.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of t.p.
Sent: 29 August 2013 12:56
To: ietf
Subject: "Deprecate"

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

Tom Petch

----- Original Message -----
From: "Fred Baker (fred)" <[email-masked]>
To: "IPv6 Maintanence" <[email-masked]>
Sent: Monday, July 29, 2013 3:32 PM
Subject: "Deprecate"

>    one which will most likely be removed from the next version of the

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Michelle Cotton <[email-masked]>
Date: Thu, 29 Aug 2013 07:53:13 -0700

We are working on 5226bis right now and have a plans to discuss the term
in there.

--Michelle Cotton

Michelle Cotton
Manager, IANA Services
ICANN

On 8/29/13 5:22 AM, "Dearlove, Christopher (UK)"
<[email-masked]> wrote:

>There's then discussion even there of what it means. It is, I think,
>meant to be used for "we don't think you should use this, there's
>something better, and this is a warning that it may get removed in a
>future version". In the case of computer languages there is an additional
>possibility of "your compiler may emit a warning if you persist in using
>it".
>
>But the only major feature (export) removed in the last C++ version went
>straight from "part of the standard, but only one compiler ever
>implemented it, and thus found out it was a bad realisation of an idea"
>to removed, with no intermediate deprecated stage. And other features
>just hang around deprecated. So it really doesn't guarantee anything in
>that instance, neither than if deprecated will go, not if not deprecated
>won't go.
>
>-- 
>Christopher Dearlove

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 29 Aug 2013 16:13:46 +0100

That would be great.

Should 4020bis have a gating normative reference on 5226bis?

Adrian

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Michelle Cotton
> Sent: 29 August 2013 15:53
> To: Dearlove, Christopher (UK); t.p.; ietf
> Subject: Re: "Deprecate"
>

---

From: t.p. <[email-masked]>
Date: Thu, 29 Aug 2013 16:35:20 +0100

---- Original Message -----
From: "Adrian Farrel" <[email-masked]>
To: "'Michelle Cotton'" <[email-masked]>; "'Dearlove,
Christopher (UK)'" <[email-masked]>; "'t.p.'"
<[email-masked]>; "'ietf'" <[email-masked]>
Sent: Thursday, August 29, 2013 4:13 PM
Subject: RE: "Deprecate"

> Should 4020bis have a gating normative reference on 5226bis?

Tricky;  it would mean we are approving 4020bis without knowing what it
means, until 5226bis is approved.

Tom Petch

> > >t.p.
> > >> Administrative Requests:
https://www.ietf.org/mailman/listinfo/ipv6

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 29 Aug 2013 16:16:39 +0000

Do you intend the same basic meaning, i.e. please don't use this in anything new, we may remove it in the future (that's two points, not one)?

-----Original Message-----
From: Michelle Cotton [mailto:[email-masked]] 
Sent: 29 August 2013 15:53
To: Dearlove, Christopher (UK); t.p.; ietf
Subject: Re: "Deprecate"

--Michelle Cotton

Michelle Cotton
Manager, IANA Services
ICANN